LESSECHO(1)

NOM
lessecho — Développement des métacaractères

SYNOPSIS
lessecho [-ox] [-cx] [-pn] [-dn] [-mx] [-nn] [-ex] [-a] fichier ...

DESCRIPTION
lessecho est un programme qui affiche simplement ses arguments sur la sortie standard. Tout métacaractère sur la sortie est cependant précédé d’un caractère d’échappement, par défaut une barre oblique inversée. lessecho est invoqué en interne par less(1) et n’est pas censé être utilisé directement par des humains.

OPTIONS
Les options sont listées ci-après.

-ex Cette option permet de spécifier, à l’aide de l’argument x, le caractère d’échappement à utiliser pour les métacaractères à la place de la barre oblique inversée. Si x est égal à « - », aucun caractère d’échappement ne sera utilisé et les arguments contenant des métacaractères seront entourés de guillemets droits à la place.

-ox Cette option permet de spécifier, à l’aide de l’argument x, le guillemet ouvrant à utiliser à la place du guillemet droit double si l’option -e est spécifiée.

-cx Cette option permet de spécifier x comme guillemet fermant.

-pn Cette option permet de spécifier n comme guillemet ouvrant sous la forme d’un entier.

-dn Cette option permet de spécifier n comme guillemet fermant sous la forme d’un entier.

-mx Cette option permet de spécifier x comme étant un métacaractère. Par défaut, aucun caractère n’est considéré comme un métacaractère.

-nn Cette option permet de spécifier n comme étant un métacaractère sous la forme d’un entier.

-fn Cette option permet, à l’aide de l’argument n, de spécifier le caractère d’échappement pour les métacaractères sous la forme d’un entier.

-a  Cette option permet de spécifier que tous les arguments doivent être entourés de guillemets. Par défaut, seuls les arguments contenant des métacaractères doivent l’être.

VOIR AUSSI
less(1)

AUTEUR
Cette page de manuel a été écrite par Thomas Schoepf <schoepf@debian.org> pour le système Debian GNU/Linux (mais elle peut être utilisée par d’autres systèmes).

Envoyez les rapports de bogue à https://github.com/gwsw/less/issues.

TRADUCTION
La traduction française de cette page de manuel a été créée par Lucien Gentis <lucien.gentis@univ-lorraine.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.